#include <bits/stdc++.h>

using namespace std;

int main(){

    int n;
    cin>>n;

    double s = 0, naj = 0;

    double a[n],p[n];

    for(int i=0;i<n;i++){
        cin>>a[i];
        cin>>p[i];
    }

    for(int i=0;i<n;i++){
        for(int j=0;j<n;j++){
            if(p[j]>=p[i]){
                s+=(a[j]*(p[i]/100));
            }
            if(s>naj){
                naj=s;
            }
        }
        s=0;
    }

    printf("%f", naj);
    return 0;
}